Retrieves all Meter Groups for a particular meter
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | The meter identifier for which group values are being retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
MeterGroupResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoGroup | Indicates if this meter group is an autogroup | boolean | ||||||||||||
| lastUpdated | The last time a member was inserted, updated, or deleted from the group | string (date-time) | ||||||||||||
| meterGroupCategory | MeterGroupCategoryChild | |||||||||||||
|
MeterGroupCategoryChild properties
|
||||||||||||||
| meterGroupCode | The meter group code | string | ||||||||||||
| meterGroupId | The meter group identifier | integer (int32) | ||||||||||||
| meterGroupInfo | The meter group info | string | ||||||||||||
| userDefinedAutoGroup | Indicates if this meter group is an user defined auto group | boolean | ||||||||||||
Example Response
[
{ "autoGroup": false, "lastUpdated": "2026-03-30", "meterGroupCategory": { "meterGroupCategoryCode": "string", "meterGroupCategoryId": 1, "meterGroupCategoryInfo": "string"
}, "meterGroupCode": "string", "meterGroupId": 1, "meterGroupInfo": "string", "userDefinedAutoGroup": false
}
]